{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('chars-operator') }}
{% endblock %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-12">
        <table class="table">
          <tr>
            <th>{{ 'operatori.usage.service_title'|trans }}</th>
            <td>{{ servizi|length }}</td>
          </tr>
          {% for p in pratiche %}
            <th>{{ 'operatori.usage.pratiche_title'|trans }} {{ p.tslot|date('Y') }}</th>
            <td>{{ p.count }}</td>
          {% endfor %}
        </table>
      </div>
    </div>
    <div class="row mt-5">
      <div class="col-lg-4">
        <div class="select-wrapper">
          <label>{{ 'pratica.filtra_per_stato' | trans }} {{ 'pratica.applications' | trans }}</label>
          <select title="{{ 'backoffice.integration.subscription_service.select_option' | trans }}" class="select-status">
            <option value="all" selected>{{ 'tutti' | trans }}</option>
            {% for status in statusServices.statiPratiche %}
              <option value="{{ status.status }}">{{ status.name }}
              </option>
            {% endfor %}
          </select>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="select-wrapper">
          <label>{{ 'pratica.filtra_per_servizio' | trans }} {{ 'pratica.applications' | trans }}</label>
          <select title="{{ 'backoffice.integration.subscription_service.select_option' | trans }}" class="select-services">
            <option value="all" selected>{{ 'tutti' | trans }}</option>
            {% for pratica in statusServices.serviziPratiche %}
              <option value="{{ pratica.slug }}">{{ pratica.name }}
              </option>
            {% endfor %}
          </select>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="select-wrapper">
          <label>{{ 'pratica.filtra_per_data' | trans }}</label>
          <select title="{{ 'backoffice.integration.subscription_service.select_option' | trans }}" class="select-time">
            <option value="5">{{ 'time.last_5_minutes' | trans }}</option>
            <option value="15">{{ 'time.last_15_minutes' | trans }}</option>
            <option value="30">{{ 'time.last_30_minutes' | trans }}</option>
            <option value="60">{{ 'time.last_hour' | trans }}</option>
            <option value="180">{{ 'time.last_3_hours' | trans }}</option>
            <option value="360">{{ 'time.last_6_hours' | trans }}</option>
            <option value="720">{{ 'time.last_12_hours' | trans }}</option>
            <option value="1440">{{ 'time.last_day' | trans }}</option>
            <option value="2880">{{ 'time.last_2_days' | trans }}</option>
            <option value="10080">{{ 'time.last_7_days' | trans }}</option>
            <option value="43200" selected>{{ 'time.last_30_days' | trans }}</option>
            <option value="129600">{{ 'time.last_90_days' | trans }}</option>
          </select>
        </div>
      </div>
    </div>
    <div id="container" class="mt-5" style="width:100%; height:400px;"></div>
  </section>


{% endblock %}
